Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
MultipleDatabaseEntry Members
MultipleDatabaseEntry Class Constructors Methods Properties See Also Send Feedback

The MultipleDatabaseEntry type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| MultipleDatabaseEntry | Overloaded.

# Methods

| Name | Description
--- | --- | ---
| Dispose | Release the resources held by the underlying C library. (Inherited from DatabaseEntry.)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetEnumerator | Return an enumerator which iterates over all DatabaseEntry objects represented by the MultipleDatabaseEntry.
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Blob | Deprecated. Replaced by ExternalFile. (Inherited from DatabaseEntry.)
| Data | The byte string stored in or retrieved from a database (Inherited from DatabaseEntry.)
| ExternalFile | Whether the record data will be stored as an external file, regardless of size. (Inherited from DatabaseEntry.)
| Partial | Whether the DatabaseEntry is partial record. (Inherited from DatabaseEntry.)
| PartialLen | The byte length of the partial record being read or written by the application (Inherited from DatabaseEntry.)
| PartialOffset | The offset of the partial record being read or written by the application, in bytes. (Inherited from DatabaseEntry.)
| ReadOnly | Set this DatabaseEntry as read only - Berkeley DB cannot alter the entry. (Inherited from DatabaseEntry.)
| Recno | Whether the bulk buffer is for recno or queue database.

# See Also

MultipleDatabaseEntry Class
BerkeleyDB Namespace